classification
Title: mention work-around to create diffs in default/non-git mode
Type: enhancement Stage: needs patch
Components: Devguide Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: willingc Nosy List: brett.cannon, chris.jerdonek, eric.araujo, ezio.melotti, ncoghlan, ned.deily, tshepang, willingc
Priority: normal Keywords:

Created on 2013-01-11 08:56 by chris.jerdonek, last changed 2016-07-22 19:53 by brett.cannon. This issue is now closed.

Messages (5)
msg179654 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-11 08:56
This issue is to mention in the devguide how to create diffs with the changeset number when --git is configured on.  Perhaps this can be done via a FAQ like: "How can I get Rietveld to work with a 2.7 patch?"

Background: Currently, the devguide recommends configuring Mercurial to use --git when making diffs.  However, this causes the changeset ID to be left off of patch files and, for example, prevents Rietveld from working with patches to non-default branches.  See also this thread:

http://mail.python.org/pipermail/python-dev/2011-March/108765.html

This issue describes a couple work-arounds:

http://bz.selenic.com/show_bug.cgi?id=3761
msg183085 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-26 20:53
However this is resolved, the information in the devguide should be consistent.  AFAICT, the recommendation to use hg "git" format is currently only mentioned in the Committing section (http://docs.python.org/devguide/committing.html#minimal-configuration) but not elsewhere, in particular, not http://docs.python.org/devguide/patch.html. (This was brought up in Issue10572.) Perhaps both sections could reference a FAQ entry which includes the Rietveld caveats.
msg183127 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-27 09:59
> AFAICT, the recommendation to use hg "git" format is currently only mentioned in the Committing section (http://docs.python.org/devguide/committing.html#minimal-configuration) but not elsewhere, in particular, not http://docs.python.org/devguide/patch.html.

Good observation.  Personally, I think it makes sense to keep Mercurial information for both committers and non-committers (like configuring to use the "git" format) outside of the Mercurial section specific to committers.  This can be in a general Mercurial section before the section specific to committers, or else spread throughout (e.g. in the FAQ).
msg184144 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-14 08:08
> This can be in a general Mercurial section before the section specific
> to committers, or else spread throughout (e.g. in the FAQ).

FWIW I'm leaning towards making the committing.rst page for committers only, and move general instructions for non-committers elsewhere.  For this issue I think it might be OK to either add a FAQ about Rietveld that also mentions the git format, or possibly include it in a new "Rietveld" section somewhere in the tracker docs (see #13963).
msg271021 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-07-22 19:53
With the pending migration to git, this probably isn't worth the effort.
History
Date User Action Args
2016-07-22 19:53:26brett.cannonsetstatus: open -> closed

nosy: + brett.cannon
messages: + msg271021

resolution: out of date
2015-04-18 22:52:17willingcsetassignee: willingc

nosy: + willingc
2013-03-14 08:08:34ezio.melottisettype: enhancement
messages: + msg184144
stage: needs patch
2013-02-27 09:59:01chris.jerdoneksetmessages: + msg183127
2013-02-26 20:53:34ned.deilysetnosy: + ned.deily
messages: + msg183085
2013-01-11 21:00:25tshepangsetnosy: + tshepang
2013-01-11 08:56:51chris.jerdonekcreate